gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated: make GANA update more compatible


From: gnunet
Subject: [taler-exchange] branch master updated: make GANA update more compatible with incremental compilation (fixes #6431)
Date: Wed, 22 Jul 2020 21:27:18 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new c8a370d9 make GANA update more compatible with incremental compilation 
(fixes #6431)
c8a370d9 is described below

commit c8a370d9111cee69b6d9b6edc177dcc58eec976a
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Wed Jul 22 21:27:16 2020 +0200

    make GANA update more compatible with incremental compilation (fixes #6431)
---
 bootstrap       | 10 +---------
 contrib/gana    |  2 +-
 contrib/gana.sh | 25 ++++++++++++++++++-------
 3 files changed, 20 insertions(+), 17 deletions(-)

diff --git a/bootstrap b/bootstrap
index ca9ee6dc..1b30b7a8 100755
--- a/bootstrap
+++ b/bootstrap
@@ -7,15 +7,7 @@ if ! git --version >/dev/null; then
   exit 1
 fi
 
-git submodule update --init
-
-# Generate taler-error-codes.h in gana and copy it to
-# src/include/taler_error_codes.h
-cd contrib/gana/gnu-taler-error-codes
-make
-cd ../../..
-cp contrib/gana/gnu-taler-error-codes/taler_error_codes.h 
src/include/taler_error_codes.h
-cp contrib/gana/gnu-taler-error-codes/taler_error_codes.c 
src/util/taler_error_codes.c
+./contrib/gana.sh
 
 # This is more portable than `which' but comes with
 # the caveat of not(?) properly working on busybox's ash:
diff --git a/contrib/gana b/contrib/gana
index 22192612..0a9293b4 160000
--- a/contrib/gana
+++ b/contrib/gana
@@ -1 +1 @@
-Subproject commit 22192612aab2bf0a5e1e5d452b31fb47594698ee
+Subproject commit 0a9293b4cf1df97c395dc96d7a8ba96cc1fb4664
diff --git a/contrib/gana.sh b/contrib/gana.sh
index d430dec3..e6fe32e0 100755
--- a/contrib/gana.sh
+++ b/contrib/gana.sh
@@ -1,13 +1,24 @@
 #!/bin/sh
 # Helper script to update to latest GANA
-# Run from exchange/ main directory; make sure you have
-# no uncommitted changes at the time of running the script.
+# Run from exchange/ main directory.
 set -eu
+
+git submodule update --init
+
 cd contrib/gana
 git pull origin master
 cd ../..
-git commit -a -S -m "synchronize with latest GANA"
-./bootstrap
-cd src/include
-make install
-cd ../..
+
+# Generate taler-error-codes.h in gana and copy it to
+# src/include/taler_error_codes.h
+cd contrib/gana/gnu-taler-error-codes
+make
+cd ../../..
+if ! diff contrib/gana/gnu-taler-error-codes/taler_error_codes.h 
src/include/taler_error_codes.h > /dev/null
+then
+  echo "Deploying latest new GANA database..."
+  cp contrib/gana/gnu-taler-error-codes/taler_error_codes.h 
src/include/taler_error_codes.h
+  cp contrib/gana/gnu-taler-error-codes/taler_error_codes.c 
src/util/taler_error_codes.c
+else
+  echo "GANA database already up-to-date"
+fi

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]